## InfCommunicationCentralMethod InfCommunicationCentralMethod — Relying group messages via the publisher |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libinfinity/communication/inf-communication-central-method.h>

                        InfCommunicationCentralMethod;
    struct              InfCommunicationCentralMethodClass;

## Object Hierarchy

      GObject
       +----InfCommunicationCentralMethod

## Implemented Interfaces

InfCommunicationCentralMethod implements InfCommunicationMethod.

## Properties

      "group"                    InfCommunicationGroup*  : Read / Write / Construct Only
      "registry"                 InfCommunicationRegistry*  : Read / Write / Construct Only

## Description

InfCommunicationCentralMethod implements InfCommunicationMethod by relaying all messages via the group's publisher. If the connection to the publisher is lost, so is the connection to all other group members.

## Details

### InfCommunicationCentralMethod

    typedef struct _InfCommunicationCentralMethod InfCommunicationCentralMethod;

InfCommunicationCentralMethod is an opaque data type. You should only access it * via the public API functions.

### struct InfCommunicationCentralMethodClass

    struct InfCommunicationCentralMethodClass {
    };

This structure does not contain any public fields.

## Property Details

### The `"group"` property

      "group"                    InfCommunicationGroup*  : Read / Write / Construct Only

The communication group for which to handle messages.

### The `"registry"` property

      "registry"                 InfCommunicationRegistry*  : Read / Write / Construct Only

The communication registry to register connections with.